from .exceptions import ConfigurationError


def validate_config(config_values, required_vars):
    """Validate the presence and format of required configuration variables."""
    for key in required_vars:
        if key not in config_values or config_values[key] is None:
            raise ConfigurationError(f'Missing required configuration: {key}')
